import processing.serial.*;
import cc.arduino.*;

Arduino monArduino;


// Constants
int Y_AXIS = 1;
int X_AXIS = 2;
color b1, b2;
float valeurPotentiometre;
float valeurPotentiometreMap;

void setup() {
  size(1500, 900);
  println(Arduino.list());
  monArduino=new Arduino(this, Arduino.list()[9],57600);
}

void draw() {
  valeurPotentiometre=monArduino.analogRead(0);
  valeurPotentiometreMap=map(valeurPotentiometre,10,90,0,255);
  b1 = color(valeurPotentiometreMap,10,150);
  b2 = color(200,valeurPotentiometreMap,210);
  background(b1);
  setGradient(0, 0, width, height, b1, b2, Y_AXIS);

}

void setGradient(int x, int y, float w, float h, color c1, color c2, int axis ) {

  noFill();

  if (axis == Y_AXIS) {  // Top to bottom gradient
    for (int i = y; i <= y+h; i++) {
      float inter = map(i, y, y+h, 0, 1);
      color c = lerpColor(c1, c2, inter);
      stroke(c);
      line(x, i, x+w, i);
    }
  }  
  else if (axis == X_AXIS) {  // Left to right gradient
    for (int i = x; i <= x+w; i++) {
      float inter = map(i, x, x+w, 0, 1);
      color c = lerpColor(c1, c2, inter);
      stroke(c);
      line(i, y, i, y+h);
    }
  }
}


